Skip to content

upsertItemPlanning

WRITE

Upsert item planning.

POST /api/v1/items/upsertItemPlanning
curl -X POST '<your-host>/api/v1/items/upsertItemPlanning' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "_operation": "create"
  }'

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min 1
min 0
min 0
min 0
min 0
min 1
"Manual Reorder""Demand-Based Reorder""Fixed Reorder Quantity""Maximum Quantity"
min 0
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "reorderingPolicy": {
      "type": "string",
      "enum": [
        "Manual Reorder",
        "Demand-Based Reorder",
        "Fixed Reorder Quantity",
        "Maximum Quantity"
      ]
    },
    "demandAccumulationPeriod": {
      "type": "number",
      "minimum": 1
    },
    "demandAccumulationSafetyStock": {
      "type": "number",
      "minimum": 0
    },
    "reorderPoint": {
      "type": "number",
      "minimum": 0
    },
    "reorderQuantity": {
      "type": "number",
      "minimum": 0
    },
    "maximumInventoryQuantity": {
      "type": "number",
      "minimum": 0
    },
    "minimumOrderQuantity": {
      "type": "number",
      "minimum": 0
    },
    "maximumOrderQuantity": {
      "type": "number",
      "minimum": 0
    },
    "orderMultiple": {
      "type": "number",
      "minimum": 1
    },
    "customFields": {},
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "itemId",
    "locationId",
    "_operation"
  ]
}